Debian Bug report logs - #596492
The unit of the amount of CPU time for RLIMIT_RTTIME

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Tanaka Akira <akr@fsij.org>

Date: Sun, 12 Sep 2010 01:09:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version manpages/3.05-1

Fixed in version 3.27-1

Done: Denis Barbier <bouzim@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#596492; Package manpages-dev. (Sun, 12 Sep 2010 01:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanaka Akira <akr@fsij.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 12 Sep 2010 01:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tanaka Akira <akr@fsij.org>
To: submit@bugs.debian.org
Subject: The unit of the amount of CPU time for RLIMIT_RTTIME
Date: Sun, 12 Sep 2010 10:06:18 +0900
Package: manpages-dev
Version: 3.05-1

I found that the manual page of getrlimit doesn't describe the unit of
the amount of CPU time for RLIMIT_RTTIME.

|  RLIMIT_RTTIME (Since Linux 2.6.25)
|         Specifies  a  limit  on  the  amount  of CPU time that a process
|         scheduled under a real-time scheduling policy may consume  with-
|         out  making  a  blocking  system  call.  For the purpose of this
|         limit, each time a process makes a  blocking  system  call,  the
|         count  of  its consumed CPU time is reset to zero.  The CPU time
|         count is not reset if the process continues trying  to  use  the
|         CPU  but  is  preempted,  its  time  slice  expires, or it calls
|         sched_yield(2).
|
|         Upon reaching the soft limit, the process is sent a SIGXCPU sig-
|         nal.   If the process catches or ignores this signal and contin-
|         ues consuming CPU time, then SIGXCPU will be generated once each
|         second  until the hard limit is reached, at which point the pro-
|         cess is sent a SIGKILL signal.
|
|         The intended use of this limit is to stop  a  runaway  real-time
|         process from locking up the system.

I guess the unit is micro seconds.
http://lkml.org/lkml/2007/12/18/218
http://linux.derkeiler.com/Mailing-Lists/Kernel/2008-04/msg03922.html
-- 
Tanaka Akira




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#596492; Package manpages-dev. (Sun, 12 Sep 2010 06:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to mtk.manpages@gmail.com:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Sun, 12 Sep 2010 06:48:06 GMT) Full text and rfc822 format available.

Message #10 received at 596492@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@gmail.com>
To: Tanaka Akira <akr@fsij.org>, 596492@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#596492: The unit of the amount of CPU time for RLIMIT_RTTIME
Date: Sun, 12 Sep 2010 08:44:21 +0200
tags 596492 fixed-upstream
thanks

On Sun, Sep 12, 2010 at 3:06 AM, Tanaka Akira <akr@fsij.org> wrote:
> Package: manpages-dev
> Version: 3.05-1
>
> I found that the manual page of getrlimit doesn't describe the unit of
> the amount of CPU time for RLIMIT_RTTIME.
>
> |  RLIMIT_RTTIME (Since Linux 2.6.25)
> |         Specifies  a  limit  on  the  amount  of CPU time that a process
> |         scheduled under a real-time scheduling policy may consume  with-
> |         out  making  a  blocking  system  call.  For the purpose of this
> |         limit, each time a process makes a  blocking  system  call,  the
> |         count  of  its consumed CPU time is reset to zero.  The CPU time
> |         count is not reset if the process continues trying  to  use  the
> |         CPU  but  is  preempted,  its  time  slice  expires, or it calls
> |         sched_yield(2).
> |
> |         Upon reaching the soft limit, the process is sent a SIGXCPU sig-
> |         nal.   If the process catches or ignores this signal and contin-
> |         ues consuming CPU time, then SIGXCPU will be generated once each
> |         second  until the hard limit is reached, at which point the pro-
> |         cess is sent a SIGKILL signal.
> |
> |         The intended use of this limit is to stop  a  runaway  real-time
> |         process from locking up the system.
>
> I guess the unit is micro seconds.
> http://lkml.org/lkml/2007/12/18/218
> http://linux.derkeiler.com/Mailing-Lists/Kernel/2008-04/msg03922.html

Hello Tanaka Akira,

Thanks for this report. You are correct that the units should be
microseconds. I have updated the upstream man-pages to mention this.
The change will be in the next release, 3.27.

Thanks,

Michael


-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
Author of "The Linux Programming Interface"; http://man7.org/tlpi/




Added tag(s) fixed-upstream. Request was from Michael Kerrisk <mtk.manpages@gmail.com> to control@bugs.debian.org. (Sun, 12 Sep 2010 06:48:08 GMT) Full text and rfc822 format available.

Reply sent to Denis Barbier <bouzim@gmail.com>:
You have taken responsibility. (Mon, 14 Feb 2011 23:51:11 GMT) Full text and rfc822 format available.

Notification sent to Tanaka Akira <akr@fsij.org>:
Bug acknowledged by developer. (Mon, 14 Feb 2011 23:51:11 GMT) Full text and rfc822 format available.

Message #17 received at 596492-done@bugs.debian.org (full text, mbox):

From: Denis Barbier <bouzim@gmail.com>
To: 596492-done@bugs.debian.org
Subject: Re: Bug#596492: The unit of the amount of CPU time for RLIMIT_RTTIME
Date: Tue, 15 Feb 2011 00:47:15 +0100
Version: 3.27-1

Hello,

This bug has been fixed in 3.27-1.

Denis




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 15 Mar 2011 07:41:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:31:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.